## nltk 2.0~b8

=== javasrc/Makefile ===
# Natural Language Toolkit: java interface code Makefile
#
# Copyright (C) 2001-2010 NLTK Project
# Author: Edward Loper <edloper@gradient.cis.upenn.edu>
# URL: <http://nltk.sf.net>
# For license information, see LICENSE.TXT

# Dependencies.
MALLET_HOME = /usr/local/mallet-0.4

# Locate the NLTK java source code
JAVA_SRC = $(shell find org/nltk -name '*.java')
JAVA_CLS = $(JAVA_SRC:.java=.class)

# Set up java.
JAVAC=javac
CLASSPATH = .:$(MALLET_HOME)/class/:$(MALLET_HOME)/lib/mallet-deps.jar

########################################################################
# Targets
########################################################################

.PHONY: find-mallet javac clean jar jar2

jar: find-mallet nltk.jar

find-mallet:
	@if [ -d $(MALLET_HOME) ]; then \
		echo "Found Mallet: $(MALLET_HOME)"; \
	else \
		echo; \
		echo "Unable to locate required Mallet dependencies.  Use:"; \
		echo "    make MALLET_HOME=/path/to/mallet [target...]"; \
		echo "to specify the location of Mallet.  Mallet can be "; \
		echo "downloaded from http://mallet.cs.umass.edu/"; \
		echo; false; fi

nltk.jar: $(JAVA_SRC)
	$(JAVAC) -cp "$(CLASSPATH)" $(JAVA_SRC)
	jar -cf nltk.jar `find org/nltk -name '*.class'`

clean:
	rm -f $(JAVA_CLS) nltk.jar

=== debian/changelog ===
nltk (2.0~b8-0ubuntu1) lucid; urgency=low

  * Initial release (LP: #514936)

 -- Robin Munn <robin_munn@sil.org>  Mon, 15 Feb 2010 16:22:10 -0600

=== debian/control ===
Source: nltk
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Robin Munn <robin_munn@sil.org>
Build-Depends: debhelper (>= 7), python (>= 2.4), python-yaml
Build-Depends-Indep: python-support
Standards-Version: 3.8.4
Homepage: http://www.nltk.org/
 
Package: python-nltk
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}, python-yaml
Suggests: python-numpy, python-matplotlib, prover9
Description: Python libraries for natural language processing
 The Natural Language Toolkit (NLTK) is a suite of open source Python
 modules, data and documentation for research and development in natural
 language processing. NLTK contains code supporting dozens of NLP tasks,
 along with 40 popular corpora and extensive documentation including a
 375-page online book.

## nltk 2.0~b9

=== javasrc/Makefile ===
--- 
+++ 
@@ -14,7 +14,7 @@
 
 # Set up java.
 JAVAC=javac
-CLASSPATH = .:$(MALLET_HOME)/class/:$(MALLET_HOME)/lib/mallet-deps.jar
+CLASSPATH = .:$(MALLET_HOME)/class/:$(MALLET_HOME)/lib/mallet-deps.jar:$(MALLET_HOME)/lib/mallet.jar
 
 ########################################################################
 # Targets

=== debian/changelog ===
nltk (2.0~b9-0ubuntu4) saucy; urgency=low

  * debian/control: Bump Standards-Version to 3.9.4.
  * debian/copyright:
    - Update Format URI.
    - Update obsolete field names.

 -- Logan Rosen <logan@ubuntu.com>  Sun, 28 Apr 2013 15:06:23 -0400

nltk (2.0~b9-0ubuntu3) precise; urgency=low

  * Rebuild to drop python2.6 dependencies.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 31 Dec 2011 02:05:46 +0000

nltk (2.0~b9-0ubuntu2) oneiric; urgency=low

  * Switch from pysupport to dh_python2 (LP: #835186)
    - Build --with python2
    - Drop B-D-I on python-support

 -- Scott Kitterman <scott@kitterman.com>  Fri, 26 Aug 2011 21:38:03 -0400

nltk (2.0~b9-0ubuntu1) natty; urgency=low

  * New upstream release
  * Bump standards to 3.9.1

 -- Bhavani Shankar <bhavi@ubuntu.com>  Fri, 26 Nov 2010 13:21:15 +0530

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,7 @@
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Robin Munn <robin_munn@sil.org>
 Build-Depends: debhelper (>= 7), python (>= 2.4), python-yaml
-Build-Depends-Indep: python-support
-Standards-Version: 3.8.4
+Standards-Version: 3.9.4
 Homepage: http://www.nltk.org/
  
 Package: python-nltk

=== debian/watch ===
version=3
opts="uversionmangle=s/\(b.*$\)/~\1/" \
http://code.google.com/p/nltk/downloads/list http://nltk.googlecode.com/files/nltk-(.*)\.tar\.gz

## nltk 3.0.0

=== debian/changelog ===
nltk (3.0.0-1) unstable; urgency=medium

  * Initial release (Closes: #279422, LP: #1155282).

 -- Daniel Stender <debian@danielstender.com>  Sat, 11 Oct 2014 00:31:27 +0200

=== debian/control ===
Source: nltk
Section: science
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders:
 Daniel Stender <debian@danielstender.com>
Build-Depends:
 debhelper (>= 9),
 dh-python,
 python-all,
 python-setuptools,
 python3-all,
 python3-setuptools
Standards-Version: 3.9.6
Vcs-Git: git://anonscm.debian.org/debian-science/packages/nltk.git
Vcs-Browser: http://anonscm.debian.org/cgit/debian-science/packages/nltk.git
Homepage: http://www.nltk.org/
X-Python-Version: >= 2.6
X-Python3-Version: >= 3.2

Package: python-nltk
Architecture: all
Section: python
Depends:
 ${misc:Depends},
 ${python:Depends}
Recommends:
 prover9,
 python-numpy
Description: Python libraries for natural language processing
 The Natural Language Toolkit (NLTK) is a leading platform for building
 Python programs to work with human language data. It provides easy-to-use
 interfaces to over 50 corpora and lexical resources such as WordNet,
 along with a suite of text processing libraries for classification,
 tokenization, stemming, tagging, parsing, and semantic reasoning.
 .
 This package contains the modules for Python2.

Package: python3-nltk
Architecture: all
Section: python
Depends:
 ${misc:Depends},
 ${python3:Depends}
Recommends:
 prover9,
 python3-numpy
Description: Python3 libraries for natural language processing
 The Natural Language Toolkit (NLTK) is a leading platform for building
 Python programs to work with human language data. It provides easy-to-use
 interfaces to over 50 corpora and lexical resources such as WordNet,
 along with a suite of text processing libraries for classification,
 tokenization, stemming, tagging, parsing, and semantic reasoning.
 .
 This package contains the modules for Python3.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1
export DEB_BUILD_OPTIONS=nocheck # needs nltk_data
export PYBUILD_NAME=nltk

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

override_dh_installdocs:
	dh_installdocs -A README.txt

=== debian/watch ===
version=3
http://pypi.python.org/packages/source/n/nltk/nltk-([0-9.]+).tar.gz

## nltk 3.0.4

=== debian/changelog ===
nltk (3.0.4-1) unstable; urgency=medium

  * New upstream release.

 -- Daniel Stender <debian@danielstender.com>  Wed, 15 Jul 2015 23:25:30 +0200

nltk (3.0.3-1) unstable; urgency=medium

  * New upstream release.

 -- Daniel Stender <debian@danielstender.com>  Mon, 15 Jun 2015 06:35:37 +0200

nltk (3.0.2-1) unstable; urgency=medium

  * New upstream release.
  * deb/control: added Tkinter to Recommends.
  * deb/copyright: expanded copyright spans.
  * deb/rules: added override for auto_install with fix of incorrect
    permission in nltk/test/.
  * deb/watch: watch pypi.debian.net.
  * Added deb/source/local-options.

 -- Daniel Stender <debian@danielstender.com>  Mon, 27 Apr 2015 09:24:39 +0200

=== debian/control ===
--- 
+++ 
@@ -26,7 +26,8 @@
  ${python:Depends}
 Recommends:
  prover9,
- python-numpy
+ python-numpy,
+ python-tk
 Description: Python libraries for natural language processing
  The Natural Language Toolkit (NLTK) is a leading platform for building
  Python programs to work with human language data. It provides easy-to-use
@@ -44,7 +45,8 @@
  ${python3:Depends}
 Recommends:
  prover9,
- python3-numpy
+ python3-numpy,
+ python3-tk
 Description: Python3 libraries for natural language processing
  The Natural Language Toolkit (NLTK) is a leading platform for building
  Python programs to work with human language data. It provides easy-to-use

=== debian/rules ===
--- 
+++ 
@@ -6,5 +6,9 @@
 %:
 	dh $@ --with python2,python3 --buildsystem=pybuild
 
+override_dh_auto_install:
+	dh_auto_install
+	chmod -v 644 debian/python*-nltk/usr/lib/python*/dist-packages/nltk/test/dependency.doctest
+
 override_dh_installdocs:
 	dh_installdocs -A README.txt

## nltk 3.1

=== debian/changelog ===
nltk (3.1-1ubuntu0.1) xenial-security; urgency=medium

  * SECURITY UPDATE: Zip Slip directory traversal via a malicious NLTK package
    download
    - debian/patches/CVE-2019-14751.patch: use built-in implementation of unzip
    - CVE-2019-14751

 -- Mike Salvatore <mike.salvatore@canonical.com>  Thu, 08 Aug 2019 07:54:31 -0400

nltk (3.1-1) unstable; urgency=medium

  * New upstream release.
  * Don't use nltk/six.py but python-six:
    + added use-six-package.diff.
    + stripe out nltk/six.py via Files-Excluded in deb/copyright.
  * deb/control: bumped X-Python-Version to 2.7.
  * Added deb/README.Debian with info where to find a list of changes
    (use override for dh_installdocs in deb/rules to contribute it
    into both binaries).

 -- Daniel Stender <debian@danielstender.com>  Sat, 24 Oct 2015 19:35:19 +0200

nltk (3.0.5-1) unstable; urgency=medium

  * New upstream release.
  * deb/control: added six to Depends.
  * deb/rules: removed override for dh_installdocs (README.txt dropped).
  * added deb/source/options.

 -- Daniel Stender <debian@danielstender.com>  Thu, 10 Sep 2015 14:17:05 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: nltk
 Section: science
 Priority: optional
-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders:
  Daniel Stender <debian@danielstender.com>
 Build-Depends:
@@ -15,13 +16,14 @@
 Vcs-Git: git://anonscm.debian.org/debian-science/packages/nltk.git
 Vcs-Browser: http://anonscm.debian.org/cgit/debian-science/packages/nltk.git
 Homepage: http://www.nltk.org/
-X-Python-Version: >= 2.6
+X-Python-Version: >= 2.7
 X-Python3-Version: >= 3.2
 
 Package: python-nltk
 Architecture: all
 Section: python
 Depends:
+ python-six (>= 1.9.0),
  ${misc:Depends},
  ${python:Depends}
 Recommends:
@@ -41,6 +43,7 @@
 Architecture: all
 Section: python
 Depends:
+ python3-six (>= 1.9.0),
  ${misc:Depends},
  ${python3:Depends}
 Recommends:

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
http://pypi.debian.net/nltk/ \
nltk-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## nltk 3.2.1

=== debian/changelog ===
nltk (3.2.1-2) unstable; urgency=high

  * Team upload.
  * Fix previous upload, by tweaking "use-six-package.diff"
    to use system six package in another api place.
    Closes: #825923
    - thanks Raphaël Hertzog <hertzog@debian.org> for the useful report!

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 31 May 2016 14:44:50 +0200

nltk (3.2.1-1) unstable; urgency=medium

  * Team upload.
  * Fix watch file (now in https mode)
  * Bump std-version to 3.9.8, no changes required.
  * New upstream release, patch refresh.
  * Drop fix-sfs-address.diff: upstream
  * Update copyright years.
  * Fix insecure VCS fields.
  * Remove source/local-options file

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 17 May 2016 10:39:07 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: nltk
 Section: science
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders:
  Daniel Stender <debian@danielstender.com>
 Build-Depends:
@@ -12,9 +11,9 @@
  python-setuptools,
  python3-all,
  python3-setuptools
-Standards-Version: 3.9.6
-Vcs-Git: git://anonscm.debian.org/debian-science/packages/nltk.git
-Vcs-Browser: http://anonscm.debian.org/cgit/debian-science/packages/nltk.git
+Standards-Version: 3.9.8
+Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/nltk.git
+Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/nltk.git
 Homepage: http://www.nltk.org/
 X-Python-Version: >= 2.7
 X-Python3-Version: >= 3.2

## nltk 3.2.4

=== debian/changelog ===
nltk (3.2.4-1) unstable; urgency=medium

  * QA upload.
  * New upstream release (LP: #1687974).
  * Drop upstream patches.
  * Update copyright years
  * Drop explicit six dependency, now also oldstable has a newer
    version

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 19 Jun 2017 14:32:42 +0200

nltk (3.2.1-3) unstable; urgency=medium

  * Package is orphaned.
  [ Andreas Tille ]
  * Add publication data
  [ Daniel Stender ]
  * deb/control: put QA into Maintainer, drop Uploaders.

 -- Daniel Stender <stender@debian.org>  Mon, 19 Jun 2017 12:50:02 +0200

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,15 @@
 Source: nltk
 Section: science
 Priority: optional
-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
-Uploaders:
- Daniel Stender <debian@danielstender.com>
+Maintainer: Debian QA Group <packages@qa.debian.org>
 Build-Depends:
- debhelper (>= 9),
+ debhelper (>= 10),
  dh-python,
  python-all,
  python-setuptools,
  python3-all,
  python3-setuptools
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/nltk.git
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/nltk.git
 Homepage: http://www.nltk.org/
@@ -22,7 +20,6 @@
 Architecture: all
 Section: python
 Depends:
- python-six (>= 1.9.0),
  ${misc:Depends},
  ${python:Depends}
 Recommends:
@@ -42,7 +39,6 @@
 Architecture: all
 Section: python
 Depends:
- python3-six (>= 1.9.0),
  ${misc:Depends},
  ${python3:Depends}
 Recommends:

## nltk 3.2.5

=== debian/changelog ===
nltk (3.2.5-1ubuntu0.1) bionic-security; urgency=medium

  * SECURITY UPDATE: Zip Slip directory traversal via a malicious NLTK package
    download
    - debian/patches/CVE-2019-14751.patch: use built-in implementation of unzip
    - CVE-2019-14751

 -- Mike Salvatore <mike.salvatore@canonical.com>  Thu, 08 Aug 2019 07:54:18 -0400

nltk (3.2.5-1) unstable; urgency=medium

  [ Andreas Tille ]
  * Remove invalid space at end of entry

  [ Gianfranco Costamagna ]
  * QA upload
  * Make fields in https mode
  * New upstream version 3.2.5
  * Bump std-version to 4.1.1

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 26 Oct 2017 08:55:50 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: nltk
 Section: science
 Priority: optional
-Maintainer: Debian QA Group <packages@qa.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian QA Group <packages@qa.debian.org>
 Build-Depends:
  debhelper (>= 10),
  dh-python,
@@ -9,10 +10,10 @@
  python-setuptools,
  python3-all,
  python3-setuptools
-Standards-Version: 4.0.0
+Standards-Version: 4.1.1
 Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/nltk.git
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/nltk.git
-Homepage: http://www.nltk.org/
+Homepage: https://www.nltk.org/
 X-Python-Version: >= 2.7
 X-Python3-Version: >= 3.2

=== debian/rules ===
--- 
+++ 
@@ -11,4 +11,4 @@
 	chmod -v 644 debian/python*-nltk/usr/lib/python*/dist-packages/nltk/test/dependency.doctest
 
 override_dh_installdocs:
-	dh_installdocs -A README.txt
+	dh_installdocs -A debian/README.Debian

## nltk 3.3.0

=== debian/changelog ===
nltk (3.3.0-1) unstable; urgency=medium

  * New upstream version 3.3.0
  * Bump X-Python3-Version to >= 3.5
  * Remove the obsolete X-Python-Version field.
  * Bump Standards-Version to 4.1.4 (no change).

 -- Mo Zhou <cdluminate@gmail.com>  Sat, 12 May 2018 08:47:37 +0000

nltk (3.2.5-2) unstable; urgency=medium

  * New Maintainer. (Closes: #816509)
    + Set Maintainer to Debian Science team.
    + Add myself as an Uploader.
  * Point Vcs-* fields to Salsa.
  * Bump debhelper compat level to 11.
  * Update Standards-Version to 4.1.3, nothing to change.
  * lintian/source: Override debian-rules-sets-DEB_BUILD_OPTIONS.
    The upstream tests require some files downloaded from internet, which
    are not accessible while building this package due to Debian Policy.
    Hence disabling test via this variable.

 -- Mo Zhou <cdluminate@gmail.com>  Tue, 03 Apr 2018 06:20:38 +0000

## nltk 3.4

=== debian/changelog ===
nltk (3.4-1ubuntu0.1) disco-security; urgency=medium

  * SECURITY UPDATE: Zip Slip directory traversal via a malicious NLTK package
    download
    - debian/patches/CVE-2019-14751.patch: use built-in implementation of unzip
    - CVE-2019-14751

 -- Mike Salvatore <mike.salvatore@canonical.com>  Thu, 08 Aug 2019 07:53:34 -0400

nltk (3.4-1) unstable; urgency=medium

  * New upstream version 3.4

 -- Mo Zhou <cdluminate@gmail.com>  Fri, 23 Nov 2018 09:47:46 +0000

=== debian/control ===
--- 
+++ 
@@ -2,20 +2,20 @@
 Section: science
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian QA Group <packages@qa.debian.org>
+XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Uploaders: Mo Zhou <cdluminate@gmail.com>
 Build-Depends:
- debhelper (>= 10),
+ debhelper (>= 11),
  dh-python,
  python-all,
  python-setuptools,
  python3-all,
  python3-setuptools
-Standards-Version: 4.1.1
-Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/nltk.git
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/nltk.git
+Standards-Version: 4.1.4
+Vcs-Git: https://salsa.debian.org/science-team/nltk.git
+Vcs-Browser: https://salsa.debian.org/science-team/nltk
 Homepage: https://www.nltk.org/
-X-Python-Version: >= 2.7
-X-Python3-Version: >= 3.2
+X-Python3-Version: >= 3.5
 
 Package: python-nltk
 Architecture: all

## nltk 3.4.3

=== debian/changelog ===
nltk (3.4.3-1) unstable; urgency=medium

  * New upstream version 3.4.3
  * Drop python2 package (python-nltk).
  * Prevent pybuild from doing python2 stuff.
  * Drop the deprecated X-Python3-Version field from control.
  * Bump Standard-Version to 4.4.0 (no change).
  * Bump debehlper compat level to 12, dropping the d/compat file.
  * Remove unused dh_installdocs override.
  * Apply wrap-and-sort.
  * Upload to unstable.

 -- Mo Zhou <cdluminate@gmail.com>  Mon, 22 Jul 2019 11:26:07 +0000

nltk (3.4.1-1) experimental; urgency=medium

  * New upstream version 3.4.1
  * Update watch file to monitor github releases.
  * Rules: noop dh_auto_test instead of setting nocheck option.
  * Bump Standards-Version to 4.3.0 (no change).

 -- Mo Zhou <cdluminate@gmail.com>  Wed, 01 May 2019 07:35:16 +0000

=== debian/control ===
Source: nltk
Section: science
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Mo Zhou <cdluminate@gmail.com>
Build-Depends: debhelper-compat (= 12),
               dh-python,
               python-all,
               python-setuptools,
               python3-all,
               python3-setuptools
Standards-Version: 4.4.0
Vcs-Git: https://salsa.debian.org/science-team/nltk.git
Vcs-Browser: https://salsa.debian.org/science-team/nltk
Homepage: https://www.nltk.org/

Package: python3-nltk
Architecture: all
Section: python
Depends: ${misc:Depends}, ${python3:Depends}
Recommends: prover9, python3-numpy, python3-tk
Description: Python3 libraries for natural language processing
 The Natural Language Toolkit (NLTK) is a leading platform for building
 Python programs to work with human language data. It provides easy-to-use
 interfaces to over 50 corpora and lexical resources such as WordNet,
 along with a suite of text processing libraries for classification,
 tokenization, stemming, tagging, parsing, and semantic reasoning.
 .
 This package contains the modules for Python3.

## nltk 3.4.5

=== Makefile ===
# Natural Language Toolkit: source Makefile
#
# Copyright (C) 2001-2019 NLTK Project
# Author: Steven Bird <stevenbird1@gmail.com>
#	 Edward Loper <edloper@gmail.com>
# URL: <http://nltk.org/>
# For license information, see LICENSE.TXT

PYTHON = python
VERSION = $(shell $(PYTHON) -c 'import nltk; print(nltk.__version__)' | sed '/^Warning: */d')
NLTK_URL = $(shell $(PYTHON) -c 'import nltk; print(nltk.__url__)' | sed '/^Warning: */d')

.PHONY: all clean clean_code

all: dist

########################################################################
# TESTING
########################################################################

DOCTEST_DRIVER = nltk/test/runtests.py
DOCTEST_FILES = nltk/test/*.doctest
DOCTEST_CODE_FILES = nltk/*.py nltk/*/*.py

doctest:
	$(PYTHON) $(DOCTEST_DRIVER) $(DOCTEST_FILES)

doctest_code:
	$(PYTHON) $(DOCTEST_DRIVER) $(DOCTEST_CODE_FILES)

demotest:
	find nltk -name "*.py"\
        -and -not -path *misc* \
        -and -not -name brown_ic.py \
        -exec echo ==== '{}' ==== \; -exec python '{}' \;

########################################################################
# DISTRIBUTIONS
########################################################################

dist: zipdist windist

# twine only permits one source distribution
#gztardist: clean_code
#	$(PYTHON) setup.py -q sdist --format=gztar
zipdist: clean_code
	$(PYTHON) setup.py -q sdist --format=zip
windist: clean_code
	$(PYTHON) setup.py -q bdist --format=wininst --plat-name=win32

########################################################################
# CLEAN
########################################################################

clean: clean_code
	rm -rf build iso dist api MANIFEST nltk-$(VERSION) nltk.egg-info

clean_code:
	rm -f `find nltk -name '*.pyc'`
	rm -f `find nltk -name '*.pyo'`
	rm -f `find . -name '*~'`
	rm -f MANIFEST # regenerate manifest from MANIFEST.in

=== nltk/test/Makefile ===
.SUFFIXES: .doctest .errs .html

TESTS = $(wildcard *.doctest)

ERRS := $(TESTS:.doctest=.errs)

HTML = $(TESTS:.doctest=.html) # $(IPYNB:.ipynb=.html)

IPYNB = $(wildcard *.ipynb)

.doctest.errs:
	python ./runtests.py $< > $@

.doctest.html:
	rst2html.py $< > $@

%.html: %.ipynb
	ipython nbconvert $<

all: $(ERRS)

html: $(HTML)

install_html:
	cp $(HTML) ../../../nltk.github.com/howto

clean:
	rm -f *.errs

=== debian/changelog ===
nltk (3.4.5-2) unstable; urgency=medium

  * Update changelog entry for 3.4.5-1 and mention the CVE number.
  * Remove B-D on python2. (Closes: #937148)

 -- Mo Zhou <cdluminate@gmail.com>  Sun, 22 Dec 2019 10:48:33 +0800

nltk (3.4.5-1) unstable; urgency=medium

  * New upstream version 3.4.5 (Fixes CVE-2019-14751)

 -- Mo Zhou <cdluminate@gmail.com>  Sat, 24 Aug 2019 15:42:19 +0000

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,6 @@
 Uploaders: Mo Zhou <cdluminate@gmail.com>
 Build-Depends: debhelper-compat (= 12),
                dh-python,
-               python-all,
-               python-setuptools,
                python3-all,
                python3-setuptools
 Standards-Version: 4.4.0

## nltk 3.5

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # Natural Language Toolkit: source Makefile
 #
-# Copyright (C) 2001-2019 NLTK Project
+# Copyright (C) 2001-2020 NLTK Project
 # Author: Steven Bird <stevenbird1@gmail.com>
 #	 Edward Loper <edloper@gmail.com>
 # URL: <http://nltk.org/>
@@ -38,7 +38,7 @@
 # DISTRIBUTIONS
 ########################################################################
 
-dist: zipdist windist
+dist: zipdist
 
 # twine only permits one source distribution
 #gztardist: clean_code

=== web/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build
WEB           = ../../nltk.github.com

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

web: clean_api
	sphinx-apidoc -o api ../nltk
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(WEB)
	@echo
	@echo "Build finished. The HTML pages are in $(WEB)."

without_api: clean_api
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(WEB)

clean_api:
	rm -f api/modules.rst api/nltk.*.rst

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/* # $(WEB)/*

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/NLTK.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/NLTK.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/NLTK"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/NLTK"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b nltk-doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== debian/changelog ===
nltk (3.5-1) unstable; urgency=medium

  * New upstream version 3.5
  * Update my mail address in control and d/copyright.
  * Bump Standards-Version to 4.5.0 (no change).
  * Specify Rules-Requires-Root: no.

 -- Mo Zhou <lumin@debian.org>  Thu, 23 Apr 2020 10:30:06 +0800

=== debian/control ===
--- 
+++ 
@@ -2,15 +2,16 @@
 Section: science
 Priority: optional
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
-Uploaders: Mo Zhou <cdluminate@gmail.com>
+Uploaders: Mo Zhou <lumin@debian.org>
 Build-Depends: debhelper-compat (= 12),
                dh-python,
                python3-all,
                python3-setuptools
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Vcs-Git: https://salsa.debian.org/science-team/nltk.git
 Vcs-Browser: https://salsa.debian.org/science-team/nltk
 Homepage: https://www.nltk.org/
+Rules-Requires-Root: no
 
 Package: python3-nltk
 Architecture: all

## nltk 3.7

=== debian/changelog ===
nltk (3.7-1) unstable; urgency=medium

  * New upstream version 3.7
  * Update copyright.
  * Bump debhelper compat level to 13.
  * Bump Standards-Version to 4.6.0.1 (no change).

 -- Mo Zhou <lumin@debian.org>  Wed, 16 Feb 2022 08:59:16 -0500

nltk (3.6.7-1) unstable; urgency=medium

  * New upstream version 3.6.7 (Closes: #1002623, #1003142)
    Fixes CVE-2021-3842, CVE-2021-43854

 -- Mo Zhou <lumin@debian.org>  Thu, 06 Jan 2022 10:31:46 -0500

nltk (3.6.5-1) unstable; urgency=medium

  * New upstream version 3.6.5 (Closes: #995226)
    (This release fixes CVE-2021-3828)
  * Update dependency on python3 according to lintian.

 -- Mo Zhou <lumin@debian.org>  Sat, 13 Nov 2021 09:55:11 -0500

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1
export PYBUILD_NAME=nltk
export PYBUILD_DISABLE_python2=1

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_install:
	dh_auto_install
	chmod -v 644 debian/python*-nltk/usr/lib/python*/dist-packages/nltk/test/dependency.doctest

# needs nltk_data
override_dh_auto_test:

## nltk 3.8

=== Makefile ===
--- 
+++ 
@@ -1,9 +1,9 @@
 # Natural Language Toolkit: source Makefile
 #
-# Copyright (C) 2001-2020 NLTK Project
+# Copyright (C) 2001-2022 NLTK Project
 # Author: Steven Bird <stevenbird1@gmail.com>
 #	 Edward Loper <edloper@gmail.com>
-# URL: <http://nltk.org/>
+# URL: <https://www.nltk.org/>
 # For license information, see LICENSE.TXT
 
 PYTHON = python
@@ -17,16 +17,14 @@
 ########################################################################
 # TESTING
 ########################################################################
-
-DOCTEST_DRIVER = nltk/test/runtests.py
 DOCTEST_FILES = nltk/test/*.doctest
 DOCTEST_CODE_FILES = nltk/*.py nltk/*/*.py
 
 doctest:
-	$(PYTHON) $(DOCTEST_DRIVER) $(DOCTEST_FILES)
+	pytest $(DOCTEST_FILES)
 
 doctest_code:
-	$(PYTHON) $(DOCTEST_DRIVER) $(DOCTEST_CODE_FILES)
+	pytest $(DOCTEST_CODE_FILES)
 
 demotest:
 	find nltk -name "*.py"\
@@ -44,7 +42,7 @@
 #gztardist: clean_code
 #	$(PYTHON) setup.py -q sdist --format=gztar
 zipdist: clean_code
-	$(PYTHON) setup.py -q sdist --format=zip
+	$(PYTHON) setup.py -q sdist --format=zip bdist_wheel
 windist: clean_code
 	$(PYTHON) setup.py -q bdist --format=wininst --plat-name=win32
 
@@ -53,10 +51,11 @@
 ########################################################################
 
 clean: clean_code
-	rm -rf build iso dist api MANIFEST nltk-$(VERSION) nltk.egg-info
+	rm -rf build web/_build iso dist api MANIFEST nltk-$(VERSION) nltk.egg-info
 
 clean_code:
 	rm -f `find nltk -name '*.pyc'`
 	rm -f `find nltk -name '*.pyo'`
 	rm -f `find . -name '*~'`
+	rm -rf `find . -name '__pycache__'`
 	rm -f MANIFEST # regenerate manifest from MANIFEST.in

=== debian/changelog ===
nltk (3.8-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit,
    Repository, Repository-Browse.

  [ Mo Zhou ]
  * New upstream version 3.8

 -- Mo Zhou <lumin@debian.org>  Wed, 14 Dec 2022 10:43:56 -0500

## nltk 3.8.1

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # Natural Language Toolkit: source Makefile
 #
-# Copyright (C) 2001-2022 NLTK Project
+# Copyright (C) 2001-2023 NLTK Project
 # Author: Steven Bird <stevenbird1@gmail.com>
 #	 Edward Loper <edloper@gmail.com>
 # URL: <https://www.nltk.org/>

=== web/Makefile ===
--- 
+++ 
@@ -18,7 +18,6 @@
 .PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext
 
 web: clean_api
-	sphinx-apidoc -o api ../nltk
 	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(WEB)
 	@echo
 	@echo "Build finished. The HTML pages are in $(WEB)."

=== debian/changelog ===
nltk (3.8.1-1) unstable; urgency=medium

  * New upstream version 3.8.1

 -- Mo Zhou <lumin@debian.org>  Sat, 17 Jun 2023 18:20:22 -0700

## nltk 3.9.1

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # Natural Language Toolkit: source Makefile
 #
-# Copyright (C) 2001-2023 NLTK Project
+# Copyright (C) 2001-2024 NLTK Project
 # Author: Steven Bird <stevenbird1@gmail.com>
 #	 Edward Loper <edloper@gmail.com>
 # URL: <https://www.nltk.org/>
@@ -36,15 +36,8 @@
 # DISTRIBUTIONS
 ########################################################################
 
-dist: zipdist
-
-# twine only permits one source distribution
-#gztardist: clean_code
-#	$(PYTHON) setup.py -q sdist --format=gztar
-zipdist: clean_code
-	$(PYTHON) setup.py -q sdist --format=zip bdist_wheel
-windist: clean_code
-	$(PYTHON) setup.py -q bdist --format=wininst --plat-name=win32
+dist: clean_code
+	$(PYTHON) -m build
 
 ########################################################################
 # CLEAN

=== nltk/test/Makefile ===
--- 
+++ 
@@ -9,7 +9,7 @@
 IPYNB = $(wildcard *.ipynb)
 
 .doctest.errs:
-	python ./runtests.py $< > $@
+	pytest $< > $@
 
 .doctest.html:
 	rst2html.py $< > $@

=== debian/changelog ===
nltk (3.9.1-2) unstable; urgency=medium

  * Team upload.
  [ Colin Watson ]
  * Don't read the WordNet corpus before it is needed. (Closes: #1084323)

 -- Santiago Vila <sanvila@debian.org>  Sat, 12 Oct 2024 22:01:00 +0200

nltk (3.9.1-1) unstable; urgency=medium

  * New upstream version 3.9.1 (Closes: #1074423)
    (Fixes CVE-2024-39705)

 -- Mo Zhou <lumin@debian.org>  Wed, 02 Oct 2024 02:03:25 -0400

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,11 @@
 Priority: optional
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Mo Zhou <lumin@debian.org>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
-               python3-all,
+               python3-all:any,
                python3-setuptools
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0.1
 Vcs-Git: https://salsa.debian.org/science-team/nltk.git
 Vcs-Browser: https://salsa.debian.org/science-team/nltk
 Homepage: https://www.nltk.org/

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%nltk-$1.tar.gz%" \
https://github.com/nltk/nltk/tags \
(?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## nltk 3.9.2

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # Natural Language Toolkit: source Makefile
 #
-# Copyright (C) 2001-2024 NLTK Project
+# Copyright (C) 2001-2025 NLTK Project
 # Author: Steven Bird <stevenbird1@gmail.com>
 #	 Edward Loper <edloper@gmail.com>
 # URL: <https://www.nltk.org/>

=== debian/changelog ===
nltk (3.9.2-1) unstable; urgency=medium

  * New upstream version 3.9.2
  * Remove all patches as they are merged in upstream release.

 -- Mo Zhou <lumin@debian.org>  Sat, 14 Feb 2026 12:26:40 -0800
